<!DOCTYPE html>
{% load i18n %}
{% load staticfiles %}
{% load static %}
{% load thumbnail %}
{% load compress %}
<!--[if lt IE 7]>      <html lang="{{ LANGUAGE_CODE|default:"en-gb" }}" class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html lang="{{ LANGUAGE_CODE|default:"en-gb" }}" class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html lang="{{ LANGUAGE_CODE|default:"en-gb" }}" class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html lang="{{ LANGUAGE_CODE|default:"en-gb" }}" class="no-js"> <!--<![endif]-->
    <head>
        <title>{{ seo_title|striptags }}</title>

        <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
        <meta name="created" content="{% now "jS M Y h:i" %}" />
        <meta name="description" content="{{ seo_description|striptags }}" />
        <meta name="keywords" content="{{ seo_keywords|striptags }}" />
        <meta property="og:url" content="{{ request.build_absolute_uri }}" />
        <meta property="og:type" content="website" />
        {% if seo_og_title %}
        <meta property="og:title" content="{{ seo_og_title|striptags }}" />
        {% endif %}
        {% if seo_og_description %}
        <meta property="og:description" content="{{ seo_og_description|striptags }}" />
        {% endif %}
        {% if seo_og_image %}
        {% thumbnail seo_og_image '1200x1200' padding=True crop="center" as im %}
        <meta property="og:image" content="{{ im.url }}" />
        {% endthumbnail %}
        {% endif %}
        {% if request.GET.full == "True" %}
        <meta name="viewport" content="width=1024px" />
        {% else %}
        <meta name="viewport" content="width=device-width, initial-scale=1.0,  maximum-scale=1.0, user-scalable=no" />
        {% endif %}
        <meta name="robots" content="NOARCHIVE,NOCACHE" />
        <meta name="yandex-verification" content="7539d442c5e899dc" />
        <meta name="yandex-verification" content="08963bad807ea11c" />

        <!-- Le HTML5 shim, for IE6-8 support of HTML elements -->
        <!--[if lt IE 9]>
        <script src="//html5shim.googlecode.com/svn/trunk/html5.js"></script>
        <![endif]-->

        {% block favicon %}
            <link href="{% static 'common/images/favicon.png' %}" rel="shortcut icon" type="image/png" />
        {% endblock %}
        <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.min.js"></script>
        <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
        <script src="{% static 'js/fetch.js' %}"></script>
        <script src="{% static 'js/api_calls.js' %}"></script>
        {% block cdn_scripts %}
            <script>window.jQuery || document.write('<script src="{% static "oscar/js/jquery/jquery-1.9.1.min.js" %}"><\/script>')</script>
            <script src="https://cdn.jsdelivr.net/npm/simplebar@latest/dist/simplebar.js"></script>
        {% endblock %}
        {% block cdn_styles %}
{#            <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/simplebar@latest/dist/simplebar.css">#}
        {% endblock %}

        {# Block where global CSS will go. #}
        {% compress css %}
        {% block styles %}{% endblock %}

        {# Additional CSS - specific to certain pages #}
        {% block extrastyles %}{% endblock %}
        {% endcompress %}
        {% block extrascripts %}{% endblock %}
        {% block extrahead %}{% endblock %}

        {# Google merchant #}
        {% if last_order_id %}
            <script>
              window.renderOptIn = function() {
                window.gapi.load('surveyoptin', function() {
                  window.gapi.surveyoptin.render(
                    {
                      "merchant_id": 123048504,
                      "order_id": "{{ last_order_id }}",
                      "email": "{{ last_order_contact_email }}",
                      "delivery_country": "RU",
                      "estimated_delivery_date": "{{ last_order_shipping_date }}",
                    {% if last_order_gtins %}
                      "products": [
                          {% for g in last_order_gtins %}
                            {"gtin":"{{ g }}"},
                          {% endfor %}
                          ]
                    {% endif %}
                    });
                });
              }
              window.___gcfg = {
                lang: 'ru_RU'
              };
            </script>
        {% endif %}
        <script src="https://apis.google.com/js/platform.js?onload=renderOptIn" async defer></script>

        {% block tracking %}
            {% if not last_order_id %}
                {% include "common/google-analytics.html" %}
                {% include "common/yandex-metrika.html" %}
            {% endif %}
        {% endblock %}
    </head>

    <body id="{% block body_id %}default{% endblock %}" class="{% block body_class %}default{% endblock %}">
        {# Main content goes in this 'layout' block #}
        {% block layout %}{% endblock %}

        {# Local scripts #}
        {% compress js %}
            <script src="{% static "js/libs/lodash.js" %}"></script>
            {% block scripts %}
            {% endblock %}
            <script src="{% static "js/search.js" %}"></script>
        {% endcompress %}

        {# Scripts loaded from a CDN. #}
        {# Block for body onload functions #}
        <script type="text/javascript">
            $(function() {
                {% block onbodyload %}{% endblock %}
            });
        </script>
        {# Page meta-data - this is populated by the 'metadata' template context processor #}
    </body>
</html>
